LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Ubuntu (https://www.linuxquestions.org/questions/ubuntu-63/)
-   -   unable to use pcap.h in ubuntu 7.10 (https://www.linuxquestions.org/questions/ubuntu-63/unable-to-use-pcap-h-in-ubuntu-7-10-a-625054/)

vijaygj 03-01-2008 11:51 PM

unable to use pcap.h in ubuntu 7.10
 
Hi , I am using Ubuntu 7.10 .
I am not able to use pcap.h file.
Though I have istalled libpcap package, after gcc compilation it is giving error as file not found.
How this problem can be solved ?
--
Vijay

reddazz 03-02-2008 04:52 AM

Hi and welcome to LQ.

You probably need to install libpcap-dev.

vijaygj 03-03-2008 01:27 AM

I downloaded libpcap-dev from ubuntu website.
But it gave error dependency not satisfied tried to remove dependency but it gave further dependency like flex is required when downloaded flex there was another dependency so on.
Is there any way to install all required dependency automatically ?

reddazz 03-03-2008 06:21 AM

How about using apt-get or aptitude e.g.
Code:

sudo aptitude update
sudo aptitude install libpcap-dev


vijaygj 03-05-2008 05:41 AM

Package Manager
 
Package Manager, helped to solve this problem. It download the required file ( libpcap-dev ) which satisfied all dependency.


All times are GMT -5. The time now is 10:56 AM.